﻿@media (max-width: 767px) {
    .navbar-collapse {
        width: 100%;
    }

        .navbar-collapse.collapse.show + .content-container {
            margin-top: calc(50px + 1rem); /* Adjust based on your header height */
        }

    .navbar-nav {
        flex-direction: column;
        align-items: center;
    }

    .dropdown-menu {
        position: static;
        float: none;
        width: 100%;
    }

    /* Default and scrolled state for mobile */
    .logo-image {
        height: 60px;
        width: auto;
    }

    .fixed-top {
        padding: 0.8em 0em;
        background-color: #fff;
    }
}

/*@media (max-width: 1200px) {
    .fixed-top {
        padding: 0.8em 0em;
        background-color: #fff;
    }
}

@media (max-width: 1200px) {
    .fixed-top.page-scrolled {
        padding: 0.8em 0em;
    }
}*/

@media (max-width: 768px) {
    .full-page-image {
        padding: 20px;
    }

    .banner-text {
        width: 100%;
        padding: 0 10px;
        box-sizing: border-box;
        transform: translate(-50%, -50%) !important;
    }

        .banner-text h1 {
            font-size: 1.5em;
        }

        .banner-text p {
            font-size: 0.75em;
        }

    .btn-read-more {
        font-size: 0.9em;
        padding: 8px 16px;
    }
}

@media (max-width: 767.98px) {
    .navbar-nav .nav-link {
        color: #800000 !important;
    }

    .navbar-toggler {
        color: #800000;
    }

    /*.navbar-toggler-icon {
        filter: invert(1);*/ /* This will make the toggler icon black */
    /*}*/
}

@media (max-width: 768px) {
    .amenities-row {
        flex-direction: column;
    }

    .amenity {
        margin-bottom: 20px; /* Adjust spacing for mobile view */
    }
}

@media (max-width: 480px) {
    .banner-text h1 {
        font-size: 1.25em;
    }
}
